com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable

## Interface ScopeNode

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ValidatableObject
  All Known Subinterfaces:
    ScopeAlias, ScopeAssociation, ScopeAttribute, ScopeEntity, ScopeFilter, ScopeFolder, ScopeSortedAlias

      public interface ScopeNode
      extends ValidatableObject

  A representation of the model object 'Scope Node'.

  The following features are supported:

  - `Name`
  - `Descendent`
  - `Backup Info`
  - `Expanded`
  - `Parent`
  - `Children`
  See Also:
    `DecisiontablePackage.getScopeNode()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList` | `getBackupInfo()` Returns the value of the 'Backup Info' attribute list.
    `org.eclipse.emf.common.util.EList` | `getChildren()` Returns the value of the 'Children' containment reference list.
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute
    `ScopeNode` | `getParent()` Returns the value of the 'Parent' container reference.
    `org.eclipse.emf.common.util.EList` | `getSubtree()`
    `boolean` | `isDescendent()` Returns the value of the 'Descendent' attribute
    `boolean` | `isExpanded()` Returns the value of the 'Expanded' attribute
    `void` | `setDescendent(boolean value)` Sets the value of the '`Descendent`' attribute
    `void` | `setExpanded(boolean value)` Sets the value of the '`Expanded`' attribute
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
    `void` | `setParent(ScopeNode value)` Sets the value of the '`Parent`' container reference

    - ### Methods inherited from interface com.corticon.rulesemf.common.ValidatableObject

      `getValidationMessages, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasSeverity, hasSeverity, hasWarnings, hasWarnings, isValid, isValid`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `DecisiontablePackage.getScopeNode_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### isDescendent

          boolean isDescendent()

      Returns the value of the 'Descendent' attribute.

      If the meaning of the 'Descendent' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Descendent' attribute.
      See Also:
        `setDescendent(boolean)`, `DecisiontablePackage.getScopeNode_Descendent()`

    - #### setDescendent

          void setDescendent(boolean value)

      Sets the value of the '`Descendent`' attribute.
      Parameters:
        `value` - the new value of the 'Descendent' attribute.
      See Also:
        `isDescendent()`

    - #### getBackupInfo

          org.eclipse.emf.common.util.EList getBackupInfo()

      Returns the value of the 'Backup Info' attribute list. The list contents are of type `String`.

      If the meaning of the 'Backup Info' attribute list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Backup Info' attribute list.
      See Also:
        `DecisiontablePackage.getScopeNode_BackupInfo()`

    - #### isExpanded

          boolean isExpanded()

      Returns the value of the 'Expanded' attribute.

      If the meaning of the 'Expanded' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Expanded' attribute.
      See Also:
        `setExpanded(boolean)`, `DecisiontablePackage.getScopeNode_Expanded()`

    - #### setExpanded

          void setExpanded(boolean value)

      Sets the value of the '`Expanded`' attribute.
      Parameters:
        `value` - the new value of the 'Expanded' attribute.
      See Also:
        `isExpanded()`

    - #### getParent

          ScopeNode getParent()

      Returns the value of the 'Parent' container reference. It is bidirectional and its opposite is '`Children`'.

      If the meaning of the 'Parent' container reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Parent' container reference.
      See Also:
        `setParent(ScopeNode)`, `DecisiontablePackage.getScopeNode_Parent()`, `getChildren()`

    - #### setParent

          void setParent(ScopeNode value)

      Sets the value of the '`Parent`' container reference.
      Parameters:
        `value` - the new value of the 'Parent' container reference.
      See Also:
        `getParent()`

    - #### getChildren

          org.eclipse.emf.common.util.EList getChildren()

      Returns the value of the 'Children' containment reference list. The list contents are of type `ScopeNode`. It is bidirectional and its opposite is '`Parent`'.

      If the meaning of the 'Children' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Children' containment reference list.
      See Also:
        `DecisiontablePackage.getScopeNode_Children()`, `getParent()`

    - #### getSubtree

          org.eclipse.emf.common.util.EList getSubtree()

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.